petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSVISetVariableBounds

Sets the lower and upper bounds for the solution vector. xl <= x <= xu

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSVISetVariableBounds(TS ts, Vec xl, Vec xu)

### Input Parameters

ts -the TS context. Many br
xl -lower bound. Many br
xu -upper bound. Many br

### Notes

If this routine is not called then the lower and upper bounds are set to Many brPETSC_NINFINITY and PETSC_INFINITY respectively during SNESSetUp(). Many br

Many br

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex21.c.html